<TeXmacs|2.1>

<style|<tuple|beamer|vdh|wide-spacing|shadowed-frames|shadowed-titles|std-frame|dark-vador|framed-theorems|biolinum-font|old-lengths>>

<\body>
  <\hide-preamble>
    <assign|xfont|mathlarge=TeX Gyre Pagella,Fira>

    <assign|title-sub-bar-contents|<macro|body|>>

    \;

    <assign|rsC|<macro|<with|font|cal*|C>>>

    <assign|rsT|<macro|<with|font|cal*|T>>>

    <assign|marked|<macro|body|<tabular*|<tformat|<cwith|1|1|1|1|cell-background|dark
    grey>|<cwith|1|1|1|1|cell-bsep|0.25spc>|<cwith|1|1|1|1|cell-tsep|0.25spc>|<cwith|1|1|1|1|cell-lsep|1spc>|<cwith|1|1|1|1|cell-rsep|1spc>|<table|<row|<cell|<arg|body>>>>>>>>

    \;

    <assign|compressed|<\macro|body>
      <\surround||<right-flush>>
        <\with|par-par-sep|<times|0.4|<value|par-par-sep>>>
          <arg|body>
        </with>
      </surround>
    </macro>>

    \;

    <assign|alt-theme|<macro|body|<with|vador-title-bg-color|#37441d|ornament-shadow-color|#37441d|ornament-sunny-color|dark
    yellow|deco-shadow-effect|<eff-recolor|0|dark yellow>|<arg|body>>>>

    <assign|strong|<macro|x|<with|color|<value|strong-color>|math-color|<value|strong-color>|<uncolored-strong|<arg|x>>>>>

    \;

    <assign|striped-table|<macro|body|<tformat|<cwith|1|-1|1|-1|cell-background|<if|<equal|<mod|<value|cell-row-nr>|2>|0>|#101050|>>|<twith|table-width|1par>|<twith|table-hmode|exact>|<arg|body>>>>
  </hide-preamble>

  <screens|<\shown>
    <\with|par-mode|center>
      <tabular*|<tformat|<cwith|4|6|1|1|cell-bsep|2.5spc>|<cwith|7|7|1|1|cell-tsep|3spc>|<cwith|4|4|1|1|cell-bsep|2spc>|<cwith|4|4|1|1|cell-tsep|4spc>|<cwith|6|6|1|1|cell-tsep|4spc>|<table|<row|<cell|>>|<row|<cell|>>|<row|<cell|>>|<row|<cell|<really-large|<strong|<with|color|orange|Computing
      with D-algebraic power series>>>>>|<row|<cell|>>|<row|<cell|<tabular*|<tformat|<twith|table-valign|T>|<cwith|1|1|1|1|cell-bsep|1spc>|<cwith|1|1|1|1|cell-tsep|1spc>|<table|<row|<cell|>>>>>
      <large|<tabular*|<tformat|<twith|table-valign|T>|<cwith|2|2|1|1|cell-bsep|0spc>|<cwith|2|2|1|1|cell-tsep|0spc>|<table|<row|<cell|<strong|Joris
      van der Hoeven>>>|<row|<cell|<small|CNRS, cole
      polytechnique>>>|<row|<cell|>>>>>>>>|<row|<cell|<with|shadow-dx|0ln|shadow-dy|0ln|shadow-color|white|shadow-blur-radius|0.25ln|<shadow|>>>>|<row|<cell|<small|<em|IHP,
      Groupe de travail \PTranscendance et
      Combinatoire\Q>>>>|<row|<cell|>>|<row|<cell|<strong|<small|April 8,
      2022>>>>>>>
    </with>
  </shown>|<\hidden>
    <tit|The zero-test problem>

    <unroll|<\shown>
      <\itemize>
        <item><math|\<bbb-K\>>: effective field of characteristic zero

        <item><math|f<rsub|1>,\<ldots\>,f<rsub|k>>: computable power series
        in <math|\<bbb-K\><around*|[|<around*|[|z|]>|]>>
      </itemize>

      \;
    </shown>|<\hidden*>
      <\alt-theme>
        <\render-theorem|Problem: zero-test>
          Given <math|P\<in\>\<bbb-K\><around*|[|F<rsub|1>,\<ldots\>,F<rsub|k>|]>>,
          decide whether <math|P*<around*|(|f<rsub|1>,\<ldots\>,f<rsub|k>|)>=0>.
        </render-theorem>
      </alt-theme>
    </hidden*>|<\hidden*>
      \;

      <\definition*>
        A power series <math|f\<in\>\<bbb-K\><around*|[|<around*|[|z|]>|]>>
        is said to be <strong|D-algebraic> if there exists a non-zero
        polynomial <math|P\<in\>\<bbb-K\><around*|[|F<rsub|0>,\<ldots\>,F<rsub|r>|]>>
        with <math|P<around*|(|f,f<rprime|'>,\<ldots\>,f<rsup|<around*|(|r|)>>|)>=0>.
      </definition*>
    </hidden*>|<\hidden*>
      \;

      Main focus of this talk: <math|f<rsub|1>,\<ldots\>,f<rsub|k>> are
      D-algebraic
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Outline>

    \;

    \;

    <center|<with|frame-recolor|#fa6|<black-floral1-frame|<larger|<tabular|<tformat|<cwith|1|-1|1|1|cell-halign|r>|<cwith|1|-1|1|-1|cell-lsep|1spc>|<cwith|1|-1|1|-1|cell-rsep|1spc>|<cwith|1|-1|1|-1|cell-bsep|1spc>|<cwith|1|-1|1|-1|cell-tsep|1spc>|<table|<row|<cell|<strong|I>>|<cell|Previous
    algorithms>>|<row|<cell|<strong|II>>|<cell|Differential
    algebra>>|<row|<cell|<strong|III>>|<cell|D-algebraic power
    series>>|<row|<cell|<strong|IV>>|<cell|First
    algorithm>>|<row|<cell|<strong|V>>|<cell|Second algorithm>>>>>>>>>
  </hidden>|<\hidden>
    \;

    \;

    \;

    \;

    <center|<with|frame-recolor|#fa6|<black-floral1-frame|<larger|<tabular|<tformat|<cwith|1|-1|1|1|cell-halign|r>|<cwith|1|-1|1|-1|cell-lsep|1spc>|<cwith|1|-1|1|-1|cell-rsep|1spc>|<cwith|1|-1|1|-1|cell-bsep|1spc>|<cwith|1|-1|1|-1|cell-tsep|1spc>|<table|<row|<cell|<strong|Part
    I>>|<cell|\V>|<cell|Previous algorithms>>>>>>>>>
  </hidden>|<\hidden>
    <tit|Heuristic zero-testing>

    \;

    <unroll|<\shown>
      <\itemize>
        <unroll|<\shown>
          <item><math|g=P<around*|(|f<rsub|1>,\<ldots\>,f<rsub|k>|)>=0> if
          and only if <math|g<rsub|0>=\<cdots\>=g<rsub|n-1>=0> for some large
          <math|n>
        </shown>|<\hidden*>
          <item>Fast expansions using relaxed arithmetic or Newton's method
        </hidden*>|<\hidden*>
          <item>If <math|\<bbb-K\>=\<bbb-Q\>>, then first reduce modulo
          medium-size random prime
        </hidden*>>
      </itemize>
    </shown>|<\hidden*>
      \;

      <strong|Bottom line>

      <\itemize>
        <item>Proving that <math|g\<neq\>0> is easy

        <item>Proving rigorously that <math|g=0> is the harder question
      </itemize>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Shackell's algorithm>

    Assume that <math|\<bbb-K\><around*|[|f<rsub|1>,\<ldots\>,f<rsub|k>|]>>
    is stable under differentiation

    Assume <math|\<partial\>:\<bbb-K\><around*|[|F<rsub|1>,\<ldots\>,F<rsub|k>|]>\<rightarrow\>\<bbb-K\><around*|[|F<rsub|1>,\<ldots\>,F<rsub|k>|]>>
    with <math|<around*|(|\<partial\> P|)><around*|(|f<rsub|1>,\<ldots\>,f<rsub|k>|)>=\<partial\><around*|(|P<around*|(|f<rsub|1>,\<ldots\>,f<rsub|k>|)>|)>>

    \;

    <\specified-algorithm*>
      <strong|Input:> <math|P\<in\>\<bbb-K\><around*|[|F<rsub|1>,\<ldots\>,F<rsub|k>|]>>

      <strong|Output:> result of test <math|P<around*|(|f<rsub|1>,\<ldots\>,f<rsub|k>|)>=0>
    <|specified-algorithm*>
      For <math|n=1,2,3,\<ldots\>> do

      <\indent>
        If <math|P<rsup|<around*|(|n|)>>\<in\><around*|(|P,P<rprime|'>,\<ldots\>,P<rsup|<around*|(|n-1|)>>|)>>
        then

        <\indent>
          Return <math|P<around*|(|f<rsub|1>,\<ldots\>,f<rsub|k>|)><rsub|0>=\<cdots\>=P<around*|(|f<rsub|1>,\<ldots\>,f<rsub|k>|)><rsub|n-1>=0>
        </indent>
      </indent>
    </specified-algorithm*>

    \;

    \;

    \;
  </hidden>|<\hidden>
    <tit|Other algorithms>

    <strong|Pladan-Germa (1995)>

    <\itemize>
      <item><math|f<rsub|1>,\<ldots\>,f<rsub|k>> given by differential
      equations and initial conditions

      <item>Compute Zariski closed set <math|Z> of initial conditions for
      which <math|P<around*|(|f<rsub|1>,\<ldots\>,f<rsub|k>|)>=0>

      (first compute open subset of <math|Z> using differential algebra)

      <item>Test whether the actual initial conditions for
      <math|f<rsub|1>,\<ldots\>,f<rsub|k>> belong to <math|Z>
    </itemize>

    \;

    <strong|Denef\ULipshitz (1984)>

    General decision procedure for testing whether a system of ordinary
    differential equations/inequations over <math|\<bbb-K\>> and
    equations/inequations on the initial conditions has a solution over
    <math|\<bbb-K\><around*|[|<around*|[|z|]>|]>>.

    \;
  </hidden>|<\hidden>
    \;

    \;

    \;

    \;

    <center|<with|frame-recolor|#fa6|<black-floral1-frame|<larger|<tabular|<tformat|<cwith|1|-1|1|1|cell-halign|r>|<cwith|1|-1|1|-1|cell-lsep|1spc>|<cwith|1|-1|1|-1|cell-rsep|1spc>|<cwith|1|-1|1|-1|cell-bsep|1spc>|<cwith|1|-1|1|-1|cell-tsep|1spc>|<table|<row|<cell|<strong|Part
    II>>|<cell|\V>|<cell|Differential algebra>>>>>>>>>

    \;
  </hidden>|<\hidden>
    <tit|Basic definitions>

    <\compressed>
      <unroll|<\shown>
        <math|\<bbb-A\>>: differential <math|\<bbb-K\>>-algebra with respect
        to a single derivation
      </shown>|<\hidden*>
        <math|\<bbb-A\><around*|{|F|}>=\<bbb-A\><around*|[|F,\<delta\>
        F,\<delta\><rsup|2> F,\<ldots\>|]>>: ring of (univariate)
        differential polynomials over <math|\<bbb-A\>>

        <math|\<bbb-A\><around*|\<langle\>|F|\<rangle\>>>: fraction field of
        <math|\<bbb-A\><around*|{|F|}>><vspace|1fn>
      </hidden*>|<\hidden*>
        <vspace*|1fn>For <math|P\<in\>\<bbb-A\><around*|{|F|}>\<setminus\>\<bbb-A\>>:

        <\indent>
          <\wide-tabular>
            <tformat|<cwith|1|-1|1|1|cell-bsep|0.75spc>|<cwith|1|-1|1|1|cell-tsep|0.75spc>|<cwith|2|2|1|1|cell-bsep|0.75spc>|<cwith|2|2|1|1|cell-tsep|0.75spc>|<cwith|2|2|1|1|cell-bsep|0.75spc>|<cwith|2|2|1|1|cell-tsep|0.75spc>|<cwith|1|-1|1|1|cell-width|3.5em>|<cwith|1|-1|1|1|cell-hmode|exact>|<cwith|1|-1|2|2|cell-width|10em>|<cwith|1|-1|2|2|cell-hmode|exact>|<table|<row|<\cell>
              <math|\<ell\><rsub|P>>
            </cell>|<\cell>
              <strong|leader> of <math|P>
            </cell>|<\cell>
              highest <math|\<delta\><rsup|i> F> occuring in
              <math|P><space|1em>
            </cell>|<\cell>
              <space|1em>
            </cell>>|<row|<\cell>
              <math|rank P>
            </cell>|<\cell>
              <strong|Ritt rank> of <math|P>
            </cell>|<\cell>
              <math|rank P\<assign\><around*|(|\<ell\><rsub|P>,d|)>>,
              <math|d\<assign\>deg<rsub|\<ell\><rsub|P>> P>
            </cell>|<\cell>
              \;
            </cell>>>>
          </wide-tabular>
        </indent>
      </hidden*>|<\hidden*>
        Writing <math|P=c<rsub|d>*\<ell\><rsub|P><rsup|d>+\<cdots\>+c<rsub|0>>

        <\indent>
          <\wide-tabular>
            <tformat|<cwith|1|-1|1|1|cell-bsep|0.75spc>|<cwith|1|-1|1|1|cell-tsep|0.75spc>|<cwith|1|-1|1|1|cell-width|3em>|<cwith|1|-1|1|1|cell-hmode|exact>|<cwith|3|3|1|1|cell-width|3.5em>|<cwith|3|3|1|1|cell-hmode|exact>|<cwith|1|-1|2|2|cell-width|10em>|<cwith|1|-1|2|2|cell-hmode|exact>|<table|<row|<\cell>
              <math|I<rsub|P>>
            </cell>|<\cell>
              <strong|initial> of <math|P>
            </cell>|<\cell>
              <math|I<rsub|P>\<assign\>c<rsub|d>>
            </cell>|<\cell>
              \;
            </cell>>|<row|<\cell>
              <math|S<rsub|P>>
            </cell>|<\cell>
              <strong|separant> of <math|P>
            </cell>|<\cell>
              <math|S<rsub|P>\<assign\>\<partial\> P/\<partial\>
              \<ell\><rsub|P>>
            </cell>|<\cell>
              \;
            </cell>>|<row|<\cell>
              <math|H<rsub|P>>
            </cell>|<\cell>
              \;
            </cell>|<\cell>
              <math|H<rsub|P>\<assign\>I<rsub|P>*S<rsub|P>>
            </cell>|<\cell>
              \;
            </cell>>>>
          </wide-tabular>
        </indent>
      </hidden*>|<\hidden*>
        <\equation*>
          S<rsub|P>=I<rsub|\<delta\> P>=S<rsub|\<delta\>
          P>=I<rsub|\<delta\><rsup|2> P>=S<rsub|\<delta\><rsup|2>
          P>=\<cdots\>
        </equation*>
      </hidden*>>
    </compressed>
  </hidden>|<\hidden>
    <tit|Ritt reduction>

    <unroll|<\shown>
      <strong|Reducibility>

      <math|P,Q<rsub|1>,\<ldots\>,Q<rsub|l>\<in\>\<bbb-A\><around*|{|F|}>\<setminus\>\<bbb-A\>>

      <\equation*>
        <math-ordinary|<text|<math|P> is <em|reducible> <abbr|w.r.t.>
        <rigid|<math|Q<rsub|1>,\<ldots\>,Q<rsub|l>>>>>\<Longleftrightarrow\><around*|\<nobracket\>|\<exists\>i,<space|1.2spc>rank
        P<space|1.2spc>\<geqslant\><space|1.2spc>rank
        Q<rsub|i>|\<nobracket\>>
      </equation*>
    </shown>|<\hidden*>
      \;

      <strong|Ritt reduction>

      \;

      <equation*|<draw-over|I<rsub|Q<rsub|1>><rsup|\<alpha\><rsub|1>>*\<cdots\>*I<rsub|Q<rsub|l>><rsup|\<alpha\><rsub|l>>*S<rsub|Q<rsub|1>><rsup|\<beta\><rsub|1>>*\<cdots\>*S<rsub|Q<rsub|l>><rsup|\<beta\><rsub|l>>*P=\<Theta\><rsub|1>
      Q<rsub|1>+\<cdots\>+\<Theta\><rsub|k>*Q<rsub|k>+R|<with|gr-arrow-end|\<gtr\>|gr-color|#fa6|gr-mode|<tuple|edit|text-at>|<graphics|<with|color|#fa6|arrow-end|\<gtr\>|<spline|<point|3.1279|0.19969>|<point|3.12789604692858|0.499991296628314>>>|<with|color|#fa6|<math-at|<with|color|#fa6|\<bbb-A\><around*|{|F|}><around*|[|\<delta\>|]>>|<point|0.409345680516632|0.72382460965378>>>|<with|color|#fa6|arrow-end|\<gtr\>|<spline|<point|0.361956|0.19969>|<point|0.559496248846803|0.32078017023795>|<point|0.741042784407657|0.552812059391808>>>|<with|color|#fa6|arrow-end|\<gtr\>|<spline|<point|1.9741|0.207593>|<point|1.53942627373845|0.32078017023795>|<point|1.28381929763148|0.552812059391808>>>|<with|color|#fa6|<text-at|<text|reduced
      <abbr|w.r.t.> <math|<with|color|#fa6|Q<rsub|1>,\<ldots\>,Q<rsub|l>>>>|<point|2.25066580793399|0.72382460965378>>>|<with|color|#fa6|<math-at|<with|color|#fa6|\<bbb-N\>>|<point|-1.96145276680186|0.739629932635903>>>|<with|color|#fa6|arrow-end|\<gtr\>|<spline|<point|-2.91765|0.231301>|<point|-2.44351511775662|0.384010165538129>|<point|-2.05034900520462|0.646503855593657>>>|<with|color|#fa6|arrow-end|\<gtr\>|<spline|<point|-2.04045|0.19969>|<point|-1.94564744381974|0.368204842556006>|<point|-1.90061150504855|0.646503855593657>>>|<with|color|#fa6|arrow-end|\<gtr\>|<spline|<point|-1.66111681665477|0.262911451896465>|<point|-1.7085588957162|0.399815488520253>|<point|-1.72422060989966|0.646503855593657>>>|<with|color|#fa6|arrow-end|\<gtr\>|<spline|<point|-0.831346|0.270814>|<point|-1.20278856028826|0.415620811502376>|<point|-1.57622412922766|0.646503855593657>>>>>|1pag>>

      \;
    </hidden*>|<\hidden*>
      <\equation*>
        P rem Q\<assign\>P rem <around*|(|Q<rsub|1>,\<ldots\>,Q<rsub|l>|)>\<assign\>R
      </equation*>
    </hidden*>>

    \;
  </hidden>|<\hidden>
    <tit|Differential ideals>

    <unroll|<\shown>
      <strong|Differential ideal generated by
      <math|Q<rsub|1>,\<ldots\>,Q<rsub|l>\<in\>\<bbb-A\><around*|{|F|}>>>

      <\equation*>
        <around*|[|Q|]>\<assign\><around*|[|Q<rsub|1>,\<ldots\>,Q<rsub|l>|]>\<assign\>\<bbb-A\><around*|[|\<delta\>|]>
        Q<rsub|1>+\<cdots\>+\<bbb-A\><around*|[|\<delta\>|]> Q<rsub|l>.
      </equation*>
    </shown>|<\hidden*>
      <vspace*|1fn><strong|Saturation <abbr|w.r.t.>
      <math|H<rsub|Q>\<assign\>H<rsub|Q<rsub|1>>*\<cdots\>*H<rsub|Q<rsub|l>>>>

      <\eqnarray*>
        <tformat|<table|<row|<cell|<around*|[|Q|]>\<over\>H<rsub|Q><rsup|\<infty\>>>|<cell|=>|<cell|<around*|{|P\<in\>\<bbb-A\><around*|{|F|}>\<suchthat\>\<exists\>n\<in\>\<bbb-N\>,H<rsub|Q><rsup|n>*P\<in\><around*|[|Q|]>|}>>>>>
      </eqnarray*>
    </hidden*>|<\hidden*>
      <vspace*|1fn><strong|Autoreduced sequences>

      <\compressed>
        <math|Q<rsub|1>,\<ldots\>,Q<rsub|l>> <strong|autoreduced>
        <math|\<Longleftrightarrow\>> every <math|Q<rsub|i>> is reduced
        <abbr|w.r.t.> <math|Q<rsub|1>,\<ldots\>,Q<rsub|i-1>,Q<rsub|i+1>,\<ldots\>,Q<rsub|l>>

        Then

        <\equation*>
          <tabular|<tformat|<table|<row|<cell|<around*|[|Q|]>\<over\>H<rsub|Q><rsup|\<infty\>>>|<cell|=>|<cell|<around*|{|P\<in\>\<bbb-A\><around*|{|F|}>\<suchthat\><text|<math|P>
          reduces to <math|0> <abbr|w.r.t.>
          <math|Q<rsub|1>,\<ldots\>,Q<rsub|l>>>|}>>>>>>
        </equation*>
      </compressed>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Decompositions of differential polynomials>

    <switch|<\shown>
      <strong|Natural decomposition>

      <\equation*>
        P=3*F*\<delta\>*F*\<delta\><rsup|4> F-7*<around*|(|\<delta\>
        F|)><rsup|3>+2*F<rsup|2>+\<delta\><rsup|2> F-18*\<delta\> F
      </equation*>
    </shown>|<\hidden>
      <strong|Natural decomposition>

      <\equation*>
        P=<wide*|3*F*\<delta\>*F*\<delta\><rsup|4> F-7*<around*|(|\<delta\>
        F|)><rsup|3>|\<wide-underbrace\>><rsub|<extend|P<rsub|3>||||<plus|1t|1spc>>>+<wide*|2*F<rsup|2>|\<wide-underbrace\>><rsub|<extend|P<rsub|2>||||<plus|1t|1spc>>>+<wide*|\<delta\><rsup|2>
        F-18*\<delta\> F|\<wide-underbrace\>><rsub|<extend|P<rsub|1>||||<plus|1t|1spc>>>
      </equation*>

      \;

      <strong|Decomposition by homogeneous parts>

      <\equation*>
        P=P<rsub|3>+P<rsub|2>+P<rsub|1>
      </equation*>

      <\eqnarray*>
        <tformat|<table|<row|<cell|deg P>|<cell|=>|<cell|3>>|<row|<cell|val
        P>|<cell|=>|<cell|1>>>>
      </eqnarray*>
    </hidden>|<\hidden>
      <strong|Natural decomposition>

      <equation*|P=<big|sum><rsub|\<b-i\>=<around*|(|i<rsub|0>,\<ldots\>,i<rsub|r>|)>>P<rsub|\<b-i\>>*\<delta\><rsup|\<b-i\>>
      F,<space|4em>\<delta\><rsup|\<b-i\>>
      F=<big|prod><rsub|j><around*|(|\<delta\><rsup|j> F|)><rsup|i<rsub|j>>>

      \;

      <strong|Decomposition by homogeneous parts>

      <\equation*>
        P=<big|sum><rsub|d>P<rsub|d>,<space|4em>P<rsub|d>=<big|sum><rsub|<around*|\||\<b-i\>|\|>=d>P<rsub|\<b-i\>>*\<delta\><rsup|\<b-i\>>
        F,<space|4em><around*|\||\<b-i\>|\|>\<assign\><big|sum><rsub|j>i<rsub|j>
      </equation*>

      <\eqnarray*>
        <tformat|<table|<row|<cell|deg P>|<cell|\<assign\>>|<cell|max
        <around*|{|d\<suchthat\>P<rsub|d>\<neq\>0|}>>>|<row|<cell|val
        P>|<cell|\<assign\>>|<cell|min <around*|{|d\<suchthat\>P<rsub|d>\<neq\>0|}>>>|<row|<cell|P<rsub|\<less\>d>>|<cell|\<assign\>>|<cell|P<rsub|0>+\<cdots\>+P<rsub|d-1>>>>>
      </eqnarray*>
    </hidden>>
  </hidden>|<\hidden>
    <tit|Additive conjugation>

    <unroll|<\shown>
      <strong|Additive conjugation of <math|P\<in\>\<bbb-A\><around*|{|F|}>>
      by <math|f\<in\>\<bbb-A\>>>

      <\equation*>
        P<rsub|+f><around*|(|\<varepsilon\>|)>\<assign\>P<around*|(|f+\<varepsilon\>|)>
      </equation*>
    </shown>|<\hidden*>
      \;

      <strong|Coefficients <math|P<rsub|+f,\<b-i\>>=<around*|(|P<rsub|+f>|)><rsub|\<b-i\>>>
      of <math|<with|color|#fff0c0|P<rsub|+f>>>>

      <\eqnarray*>
        <tformat|<table|<row|<cell|P<rsub|+f,\<b-i\>>>|<cell|=>|<cell|<tfrac|1|\<b-i\>!>*P<rsup|<around*|(|\<b-i\>|)>><around*|(|f|)>>>|<row|<cell|P<rsup|<around*|(|\<b-i\>|)>>>|<cell|=>|<cell|<frac|\<partial\><rsup|i<rsub|0>+\<cdots\>+i<rsub|r>>
        P|<around*|(|\<partial\> F|)><rsup|i<rsub|0>>*\<cdots\>*<around*|(|\<partial\>
        \<delta\><rsup|r> F|)><rsup|i<rsub|r>>>>>|<row|<cell|\<b-i\>!>|<cell|=>|<cell|i<rsub|0>!*\<cdots\>*i<rsub|r>!>>>>
      </eqnarray*>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Differential polynomials over <math|\<bbb-K\><around*|[|<around*|[|z|]>|]>>>

    <unroll|<\shown>
      <\compressed>
        <strong|Valuation in z>

        <math|v<around*|(|f|)>\<in\>\<bbb-N\>\<cup\><around*|{|\<infty\>|}>>:
        valuation in <math|z> of <math|f\<in\>\<bbb-K\><around*|[|<around*|[|z|]>|]>>

        Valuation extends to <math|\<bbb-K\><around*|[|<around*|[|z|]>|]><around*|{|F|}>\<subseteq\>\<bbb-K\><around*|{|F|}><around*|[|<around*|[|z|]>|]>>
      </compressed>
    </shown>|<\hidden*>
      <\compressed>
        <unroll|<\shown>
          <vspace*|1fn><strong|Indicial polynomial
          <math|J<rsub|P>\<in\>\<bbb-K\><around*|[|N|]>> of homogeneous
          <math|P\<in\>\<bbb-K\><around*|[|<around*|[|z|]>|]><around*|{|F|}>>
          of degree <math|d>><vspace|0.5fn>

          <\equation*>
            J<rsub|P><around*|(|n|)>=<big|sum><rsub|i><around*|(|P<rsub|\<b-i\>>|)><rsub|v<around*|(|P|)>>*n<rsup|<around*|\<\|\|\>|\<b-i\>|\<\|\|\>>>,<space|5em><around*|\<\|\|\>|\<b-i\>|\<\|\|\>>\<assign\>i<rsub|1>+2*i<rsub|2>+\<cdots\>+r*i<rsub|r>
          </equation*>
        </shown>|<\hidden*>
          <\eqnarray*>
            <tformat|<table|<row|<cell|<around*|\<nobracket\>|\<forall\>f\<in\>\<bbb-K\><around*|[|<around*|[|z|]>|]>|\<nobracket\>>,<space|2em>P<around*|(|f|)><rsub|v<around*|(|P|)>+d*v<around*|(|f|)>>>|<cell|=>|<cell|J<rsub|P><around*|(|v<around*|(|f|)>|)>*f<rsub|v<around*|(|f|)>><rsup|d>.>>>>
          </eqnarray*>
        </hidden*>|<\hidden*>
          <\equation*>
            Z<rsub|P>=<choice|<tformat|<table|<row|<cell|\<infty\>>|<cell|<text|if
            >J<rsub|P>=0>>|<row|<cell|-1>|<cell|<text|if
            <math|J<rsub|P><around*|(|n|)>\<neq\>0> for all
            <math|n\<in\>\<bbb-N\>>>>>|<row|<cell|max
            <around*|{|n\<in\>\<bbb-N\>\<suchthat\>J<rsub|P><around*|(|n|)>=0|}>>|<cell|<text|otherwise>>>>>>
          </equation*>
        </hidden*>|<\hidden*>
          <strong|Note:> <math|J<rsub|P>\<neq\>0> whenever <math|d=1>, but
          <math|J<rsub|P>=0> for <math|P=F*\<delta\><rsup|2>
          F-<around*|(|\<delta\> F|)><rsup|2>>
        </hidden*>>
      </compressed>
    </hidden*>>

    \;
  </hidden>|<\hidden>
    \;

    \;

    \;

    \;

    <center|<with|frame-recolor|#fa6|<black-floral1-frame|<larger|<tabular|<tformat|<cwith|1|-1|1|1|cell-halign|r>|<cwith|1|-1|1|-1|cell-lsep|1spc>|<cwith|1|-1|1|-1|cell-rsep|1spc>|<cwith|1|-1|1|-1|cell-bsep|1spc>|<cwith|1|-1|1|-1|cell-tsep|1spc>|<table|<row|<cell|<strong|Part
    III>>|<cell|\V>|<cell|D-algebraic power series>>>>>>>>>

    \;

    \;
  </hidden>|<\hidden>
    <tit|D-algebraic series over <math|\<bbb-A\>>>

    <unroll|<\shown>
      <\compressed>
        <strong|Power series domain>

        <\itemize>
          <item>Differential subalgebra <math|\<bbb-A\>\<subseteq\>\<bbb-K\><around*|[|<around*|[|z|]>|]>>
          for <math|\<delta\>\<assign\>z*\<partial\>/\<partial\> z>

          <item>For all <math|f\<in\>\<bbb-A\>> and
          <math|g\<in\>\<bbb-A\>\<setminus\><around*|{|0|}>> with
          <math|f/g\<in\>\<bbb-K\><around*|[|<around*|[|z|]>|]>>, we have
          <math|f/g\<in\>\<bbb-A\>>.
        </itemize>
      </compressed>
    </shown>|<\hidden*>
      <\compressed>
        <vspace*|1fn><strong|D-algebraic series over <math|\<bbb-A\>>>

        <math|f\<in\>\<bbb-A\><around*|[|<around*|[|z|]>|]>> with
        <math|P<around*|(|f|)>=0> for some
        <math|P\<in\>\<bbb-A\><around*|{|F|}>\<setminus\>\<bbb-A\>><vspace|1fn>
      </compressed>
    </hidden*>|<\hidden*>
      <\proposition*>
        <math|f\<in\>\<bbb-A\><around*|[|<around*|[|z|]>|]>> is D-algebraic
        over <math|\<bbb-A\>> <math|\<Longleftrightarrow\>>
        <math|\<bbb-A\><around*|{|f|}>> has finite transcendence degree over
        <math|A>.
      </proposition*>
    </hidden*>|<\hidden*>
      <\corollary*>
        The set <math|\<bbb-A\><rsup|dalg>> of D-algebraic series over
        <math|\<bbb-A\>> forms a power series domain.
      </corollary*>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|D-algebraic power series>

    <unroll|<\shown>
      <strong|Representation of elements in <math|\<bbb-A\><rsup|dalg>>>

      <\compressed>
        By pairs <math|<around*|(|P,f|)>\<in\>\<bbb-A\><around*|{|F|}>\<times\>\<bbb-K\><around*|[|<around*|[|z|]>|]><rsup|com>>
        with <math|P<around*|(|f|)>=0>

        <\itemize>
          <item><math|P>: <strong|annihilator> of <math|f>

          <item><math|f>: <strong|root> of <math|P>

          <item><math|val P<rsub|+f>>: <strong|multiplicity> of <math|f> as a
          root of <math|P>

          <item>good to ask: <math|P> <strong|non-degenerate annihilator>,
          <abbr|i.e.> <math|val P<rsub|+f>=1>
        </itemize>
      </compressed>
    </shown>|<\hidden*>
      <vspace*|0.5fn><strong|Root separation for <math|P> at <math|f>>

      <\compressed>
        Smallest number <math|\<sigma\><rsub|P,f>\<in\>\<bbb-N\>\<cup\><around*|{|\<infty\>|}>>
        such that

        <\equation*>
          <around*|\<nobracket\>|\<forall\>\<varepsilon\>\<in\>\<bbb-K\><around*|[|<around*|[|z|]>|]>|\<nobracket\>>,<space|1em><around*|\<nobracket\>|P<around*|(|f+\<varepsilon\>|)>=0|\<nobracket\>>\<wedge\><around*|\<nobracket\>|v<around*|(|\<varepsilon\>|)>\<geqslant\>\<sigma\><rsub|P,f>|\<nobracket\>>\<Rightarrow\><around*|\<nobracket\>|\<varepsilon\>=0|\<nobracket\>>
        </equation*>
      </compressed>
    </hidden*>|<\hidden*>
      <strong|Note:> <math|\<sigma\><rsub|P,f>\<in\>\<bbb-N\>> as soon as
      <math|J<rsub|P<rsub|+f,d>>\<neq\>0> where <math|d=val
      P<rsub|+f>><htab|5mm>(always the case when <math|d=1>)
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Root separation bounds>

    <unroll|<\shown>
      <\proposition*>
        <math|f> : D-algebraic over <math|\<bbb-A\>> with annihilator
        <math|P\<in\>\<bbb-A\><around*|{|F|}>\<setminus\>\<bbb-A\>> of
        multiplicity <math|d>. Then

        <\equation*>
          \<sigma\><rsub|P,f>\<leqslant\>max<around*|(|v<around*|(|P<rsub|+f,d>|)>,Z<rsub|P<rsub|+f,d>>|)>+1
        </equation*>
      </proposition*>
    </shown>|<\hidden*>
      <\compressed>
        <\proof>
          Let <math|\<mu\><rsub|d>=v<around*|(|P<rsub|+f,d>|)>>. Given
          <math|\<varepsilon\>\<in\>\<bbb-K\><around*|[|<around*|[|z|]>|]>>
          with <math|n=v<around*|(|\<varepsilon\>|)>\<less\>\<infty\>>, we
          have

          <\eqnarray*>
            <tformat|<table|<row|<cell|<around*|[|P<rsub|+f,d><around*|(|\<varepsilon\>|)>|]><rsub|\<mu\><rsub|d>+d*n>>|<cell|=>|<cell|J<rsub|P<rsub|+f,d>><around*|(|n|)>*\<varepsilon\><rsub|n><rsup|d>.<label|Peps-dom-coeff>>>>>
          </eqnarray*>

          Now assume that <math|n\<geqslant\>max<around*|(|\<mu\><rsub|d>,Z<rsub|P<rsub|+f,d>>|)>+1>.
          Then

          <\eqnarray*>
            <tformat|<table|<row|<cell|v<around*|(|P<rsub|+f,\<gtr\>d><around*|(|\<varepsilon\>|)>|)>>|<cell|\<geqslant\>>|<cell|<around*|(|d+1|)>*n<space|0.6spc>\<gtr\><space|0.6spc>\<mu\><rsub|d>+d*n,>>>>
          </eqnarray*>

          <\eqnarray*>
            <tformat|<table|<row|<cell|<around|[|P<around|(|<wide|f|~>|)>|]><rsub|\<mu\><rsub|d>+d*n>>|<cell|=>|<cell|J<rsub|P<rsub|+f,d>><around*|(|n|)>*\<varepsilon\><rsub|n><rsup|d><space|0.6spc>.>>>>
          </eqnarray*>

          Since <math|n\<gtr\>Z<rsub|P<rsub|+f,d>>>, we get
          <math|J<rsub|P<rsub|+f,d>><around*|(|n|)>\<neq\>0>, which entails
          <math|P<around|(|<wide|f|~>|)>\<neq\>0>.
        </proof>
      </compressed>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|A partial converse>

    <unroll|<\shown>
      <\proposition*>
        <\ultra-compact>
          Let <math|P\<in\>\<bbb-A\><around*|{|F|}>\<setminus\>\<bbb-A\>> and
          <math|f\<in\>\<bbb-K\><around*|[|<around*|[|z|]>|]>>. Assume that
          <math|S<rsub|P><around*|(|f|)>\<neq\>0> and
          <math|v<around*|(|P<around*|(|f|)>|)>\<gtr\>2*\<sigma\>>, with

          <\equation*>
            \<sigma\>\<geqslant\>max<around*|(|v<around*|(|P<rsub|+f,1>|)>,Z<rsub|P<rsub|+f,1>>|)>+1.
          </equation*>

          Then there exists a unique <math|\<varepsilon\>\<in\>\<bbb-K\><around*|[|<around*|[|z|]>|]>>
          with <math|v<around*|(|\<varepsilon\>|)>\<gtr\>\<sigma\>> and
          <math|P<rsub|f><around*|(|\<varepsilon\>|)>=P<around*|(|f+\<varepsilon\>|)>=0>.
        </ultra-compact>
      </proposition*>
    </shown>|<\hidden*>
      <\compressed>
        <\proof>
          Let <math|\<mu\><rsub|1>=v<around*|(|P<rsub|+f,1>|)>\<less\>\<sigma\>>.

          <\equation*>
            P<rsub|+f>=\<Eta\>-\<Delta\>,<space|4em>\<Eta\>=<around*|(|P<rsub|+f,1>|)><rsub|\<mu\><rsub|1>>*z<rsup|\<mu\><rsub|1>>.
          </equation*>

          Extracting the coefficient of <math|z<rsup|\<mu\><rsub|1>+n>> in
          the relation <math|\<Eta\><around*|(|\<varepsilon\>|)>=\<Delta\><around*|(|\<varepsilon\>|)>>
          yields

          <equation|<label|eps-rec>J<rsub|\<Eta\>><around*|(|n|)>*\<varepsilon\><rsub|n>=\<Delta\><around*|(|\<varepsilon\>|)><rsub|\<mu\><rsub|1>+n>.<label|rec-rel>>

          <math|n\<leqslant\>\<sigma\>> <math|\<Rightarrow\>>
          <math|\<Delta\><around*|(|\<varepsilon\>|)><rsub|\<mu\><rsub|1>+n>=0>.<htab|5mm><math|n\<gtr\>\<sigma\>>
          <math|\<Rightarrow\>> <math|J<rsub|\<Eta\>><around*|(|n|)>\<neq\>0>
          and <math|\<Delta\><around*|(|\<varepsilon\>|)><rsub|\<mu\><rsub|1>+n>>
          only depends on <math|\<varepsilon\><rsub|0>,\<ldots\>,\<varepsilon\><rsub|n-1>>.<new-line>So<nbsp>(<reference|eps-rec>)
          is a recurrence relation for the computation of
          <math|\<varepsilon\>>.
        </proof>
      </compressed>
    </hidden*>>
  </hidden>|<\hidden>
    \;

    \;

    \;

    \;

    <center|<with|frame-recolor|#fa6|<black-floral1-frame|<larger|<tabular|<tformat|<cwith|1|-1|1|1|cell-halign|r>|<cwith|1|-1|1|-1|cell-lsep|1spc>|<cwith|1|-1|1|-1|cell-rsep|1spc>|<cwith|1|-1|1|-1|cell-bsep|1spc>|<cwith|1|-1|1|-1|cell-tsep|1spc>|<table|<row|<cell|<strong|Part
    IV>>|<cell|\V>|<cell|First algorithm>>>>>>>>>

    \;
  </hidden>|<\hidden>
    <tit|First algorithm>

    <\compressed>
      <math|\<bbb-A\>>: effective power series domain (includes zero-test)

      Let <math|f\<in\>\<bbb-K\><around*|[|<around*|[|z|]>|]><rsup|com>> be a
      single root of <math|P\<in\>\<bbb-A\><around*|{|F|}>\<setminus\>\<bbb-A\>>
    </compressed>

    <\named-specified-algorithm|ZeroTest<math|<around*|(|Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>>
      <name|Input>: <math|Q<rsub|1>,\<ldots\>,Q<rsub|n>\<in\>\<bbb-A\><around*|{|F|}>\\<around*|{|0|}>>,
      ordered by non-decreasing Ritt rank

      <name|Output:> <strong|true> if <math|Q<rsub|1><around*|(|f|)>=\<cdots\>=Q<rsub|n><around*|(|f|)>=0>
      and <strong|false> otherwise
    <|named-specified-algorithm>
      <with|item-vsep|0.25fn|<\enumerate>
        <item>If <math|Q\<assign\>Q<rsub|1>\<in\>\<bbb-A\>> then return
        <strong|false>

        <item>If <math|<math-bf|ZeroTest><around*|(|I<rsub|Q>|)>> then return
        <math|<math-bf|ZeroTest><around*|(|I<rsub|Q>,Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>

        <item>If <math|<math-bf|ZeroTest><around*|(|S<rsub|Q>|)>> then return
        <math|<math-bf|ZeroTest><around*|(|S<rsub|Q>,Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>

        <item>If <math|\<exists\>J\<in\><around*|{|Q<rsub|2>,\<ldots\>,Q<rsub|n>,P|}>,J
        rem Q\<neq\>0> then return <math|<math-bf|ZeroTest><around*|(|J rem
        Q,Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>

        <item>Let <math|\<sigma\>\<assign\>max<around*|(|v<around*|(|P<rsub|+f,1>|)>,Z<rsub|P<rsub|+f,1>>,v<around*|(|I<rsub|Q><around*|(|f|)>|)>,v<around*|(|S<rsub|Q><around*|(|f|)>|)>,v<around*|(|Q<rsub|+f,1>|)>,Z<rsub|Q<rsub|+f,1>>|)>+1>

        <item>Return the result of the test
        <math|v<around*|(|Q<around*|(|f|)>|)>\<gtr\>2*\<sigma\>>
      </enumerate>>
    </named-specified-algorithm>
  </hidden>|<\hidden>
    <tit|Correctness>

    <switch|<\shown>
      <draw-over|<tabular|<tformat|<cwith|1|1|1|1|cell-hyphen|t>|<table|<row|<\cell>
        <\named-specified-algorithm|ZeroTest<math|<around*|(|Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>>
          <name|Input>: <math|Q<rsub|1>,\<ldots\>,Q<rsub|n>\<in\>\<bbb-A\><around*|{|F|}>\\<around*|{|0|}>>,
          ordered by non-decreasing Ritt rank

          <name|Output:> <strong|true> if
          <math|Q<rsub|1><around*|(|f|)>=\<cdots\>=Q<rsub|n><around*|(|f|)>=0>
          and <strong|false> otherwise
        <|named-specified-algorithm>
          <\enumerate>
            <item>If <math|Q\<assign\>Q<rsub|1>\<in\>\<bbb-A\>> then return
            <strong|false>

            <item>If <math|<math-bf|ZeroTest><around*|(|I<rsub|Q>|)>> then
            return <math|<math-bf|ZeroTest><around*|(|I<rsub|Q>,Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>

            <item>If <math|<math-bf|ZeroTest><around*|(|S<rsub|Q>|)>> then
            return <math|<math-bf|ZeroTest><around*|(|S<rsub|Q>,Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>

            <item>If <math|\<exists\>J\<in\><around*|{|Q<rsub|2>,\<ldots\>,Q<rsub|n>,P|}>,J
            rem Q\<neq\>0> then return <math|<math-bf|ZeroTest><around*|(|J
            rem Q,Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>

            <item>Let <math|\<sigma\>\<assign\>max<around*|(|v<around*|(|P<rsub|+f,1>|)>,Z<rsub|P<rsub|+f,1>>,v<around*|(|I<rsub|Q><around*|(|f|)>|)>,v<around*|(|S<rsub|Q><around*|(|f|)>|)>,v<around*|(|Q<rsub|+f,1>|)>,Z<rsub|Q<rsub|+f,1>>|)>+1>

            <item>Return the result of the test
            <math|v<around*|(|Q<around*|(|f|)>|)>\<gtr\>2*\<sigma\>>
          </enumerate>
        </named-specified-algorithm>
      </cell>>>>>|<with|gr-grid|<tuple|empty>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|10|none>>|gr-edit-grid|<tuple|empty>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-color|red|gr-mode|<tuple|edit|math-at>|gr-arrow-end|\<gtr\>|<graphics|<with|color|red|<line|<point|-5.6|-1.1>|<point|6.1|-1.1>>>|<with|color|red|arrow-end|\<gtr\>|<spline|<point|-5.3|-1.1>|<point|-5.541158244704|-1.98887709098505>|<point|-4.90104266392801|-2.44722275409494>>>>>|1pag>

      <space|4em><math|<with|math-display|true|I<rsub|Q><rsup|j>*S<rsub|Q><rsup|k>*P=U<rsub|0>*Q+\<cdots\>+U<rsub|r>*\<delta\><rsup|r>
      Q<label|rr2>>>
    </shown>|<\hidden>
      <draw-over|<tabular|<tformat|<cwith|1|1|1|1|cell-hyphen|t>|<table|<row|<\cell>
        <\named-specified-algorithm|ZeroTest<math|<around*|(|Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>>
          <name|Input>: <math|Q<rsub|1>,\<ldots\>,Q<rsub|n>\<in\>\<bbb-A\><around*|{|F|}>\\<around*|{|0|}>>,
          ordered by non-decreasing Ritt rank

          <name|Output:> <strong|true> if
          <math|Q<rsub|1><around*|(|f|)>=\<cdots\>=Q<rsub|n><around*|(|f|)>=0>
          and <strong|false> otherwise
        <|named-specified-algorithm>
          <\enumerate>
            <item>If <math|Q\<assign\>Q<rsub|1>\<in\>\<bbb-A\>> then return
            <strong|false>

            <item>If <math|<math-bf|ZeroTest><around*|(|I<rsub|Q>|)>> then
            return <math|<math-bf|ZeroTest><around*|(|I<rsub|Q>,Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>

            <item>If <math|<math-bf|ZeroTest><around*|(|S<rsub|Q>|)>> then
            return <math|<math-bf|ZeroTest><around*|(|S<rsub|Q>,Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>

            <item>If <math|\<exists\>J\<in\><around*|{|Q<rsub|2>,\<ldots\>,Q<rsub|n>,P|}>,J
            rem Q\<neq\>0> then return <math|<math-bf|ZeroTest><around*|(|J
            rem Q,Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>

            <item>Let <math|\<sigma\>\<assign\>max<around*|(|v<around*|(|P<rsub|+f,1>|)>,Z<rsub|P<rsub|+f,1>>,v<around*|(|I<rsub|Q><around*|(|f|)>|)>,v<around*|(|S<rsub|Q><around*|(|f|)>|)>,v<around*|(|Q<rsub|+f,1>|)>,Z<rsub|Q<rsub|+f,1>>|)>+1>

            <item>Return the result of the test
            <math|v<around*|(|Q<around*|(|f|)>|)>\<gtr\>2*\<sigma\>>
          </enumerate>
        </named-specified-algorithm>
      </cell>>>>>|<with|gr-grid|<tuple|empty>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|11|none>>|gr-edit-grid|<tuple|empty>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-color|red|gr-mode|<tuple|edit|line>|gr-frame|<tuple|scale|1.9cm|<tuple|0.5gw|0.499999gh>>|gr-grid-aspect|<tuple|<tuple|axes|#808080>|<tuple|1|#c0c0c0>|<tuple|11|#e0e0ff>>|gr-grid-aspect-props|<tuple|<tuple|axes|#808080>|<tuple|1|#c0c0c0>|<tuple|11|#e0e0ff>>|<graphics|<with|color|red|<line|<point|-0.7|-1.6>|<point|-0.700000000000001|-2.0>|<point|1.3|-2.0>|<point|1.3|-1.6>|<point|-0.700000000000001|-1.6>>>|<with|color|red|arrow-end|\<gtr\>|<spline|<point|-0.200000000000001|-2.0>|<point|0.0|-2.4>|<point|0.6|-2.5>>>|<with|color|red|<line|<point|0.545455|-1.54545>|<point|1.90909090909091|-1.54545454545455>|<point|1.90909090909091|-1.18181818181818>|<point|0.545454545454546|-1.18181818181818>|<point|0.545454545454546|-1.54545454545455>>>|<with|color|red|<line|<point|3.36364|-1.54545>|<point|3.36363636363636|-1.18181818181818>|<point|4.09090909090909|-1.18181818181818>|<point|4.09090909090909|-1.54545454545455>|<point|3.36363636363636|-1.54545454545455>>>|<with|color|red|<line|<point|2|-1.54545>|<point|3.27272727272727|-1.54545454545455>|<point|3.27272727272727|-1.18181818181818>|<point|2.0|-1.18181818181818>|<point|2.0|-1.54545454545455>>>|<with|color|red|arrow-end|\<gtr\>|<spline|<point|1.72727|-1.54545>|<point|1.72727272727273|-2.27272727272727>>>|<with|color|red|arrow-end|\<gtr\>|<spline|<point|2.72727|-1.54545>|<point|2.72727272727273|-2.27272727272727>>>|<with|color|red|arrow-end|\<gtr\>|<spline|<point|3.72727|-1.54545>|<point|3.72727272727273|-2.27272727272727>>>|<with|color|red|<line|<point|-4.27273|-1.18182>|<point|-4.27272727272727|-1.54545454545455>|<point|-3.0|-1.54545454545455>|<point|-3.0|-1.18181818181818>|<point|-4.27272727272727|-1.18181818181818>>>|<with|color|red|<line|<point|4.45455|-1.18182>|<point|4.45454545454546|-1.54545454545455>|<point|4.72727272727273|-1.54545454545455>|<point|4.72727272727273|-1.18181818181818>|<point|4.45454545454546|-1.18181818181818>>>>>|1pag>

      <space|4em><math|<with|math-display|true|I<rsub|Q><rsup|j>*S<rsub|Q><rsup|k>*P=U<rsub|0>*Q+\<cdots\>+U<rsub|r>*\<delta\><rsup|r>
      Q<label|rr2>>><space|4.5em><math|<tabular*|<tformat|<table|<row|<cell|\<exists\><math-ignore|!><space|0.6spc>\<varepsilon\>\<in\>\<bbb-K\><around*|[|<around*|[|z|]>|]>,<space|1.2spc>v<around*|(|\<varepsilon\>|)>\<gtr\>\<sigma\><space|1.2spc>\<wedge\><space|1.2spc>Q<around*|(|f+\<varepsilon\>|)>=0>>>>>>
    </hidden>|<\hidden>
      <tabular|<tformat|<cwith|1|1|1|1|cell-hyphen|t>|<table|<row|<\cell>
        <\named-specified-algorithm|ZeroTest<math|<around*|(|Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>>
          <name|Input>: <math|Q<rsub|1>,\<ldots\>,Q<rsub|n>\<in\>\<bbb-A\><around*|{|F|}>\\<around*|{|0|}>>,
          ordered by non-decreasing Ritt rank

          <name|Output:> <strong|true> if
          <math|Q<rsub|1><around*|(|f|)>=\<cdots\>=Q<rsub|n><around*|(|f|)>=0>
          and <strong|false> otherwise
        <|named-specified-algorithm>
          <\enumerate>
            <item>If <math|Q\<assign\>Q<rsub|1>\<in\>\<bbb-A\>> then return
            <strong|false>

            <item>If <math|<math-bf|ZeroTest><around*|(|I<rsub|Q>|)>> then
            return <math|<math-bf|ZeroTest><around*|(|I<rsub|Q>,Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>

            <item>If <math|<math-bf|ZeroTest><around*|(|S<rsub|Q>|)>> then
            return <math|<math-bf|ZeroTest><around*|(|S<rsub|Q>,Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>

            <item>If <math|\<exists\>J\<in\><around*|{|Q<rsub|2>,\<ldots\>,Q<rsub|n>,P|}>,J
            rem Q\<neq\>0> then return <math|<math-bf|ZeroTest><around*|(|J
            rem Q,Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>

            <item>Let <math|\<sigma\>\<assign\>max<around*|(|v<around*|(|P<rsub|+f,1>|)>,Z<rsub|P<rsub|+f,1>>,v<around*|(|I<rsub|Q><around*|(|f|)>|)>,v<around*|(|S<rsub|Q><around*|(|f|)>|)>,v<around*|(|Q<rsub|+f,1>|)>,Z<rsub|Q<rsub|+f,1>>|)>+1>

            <item>Return the result of the test
            <math|v<around*|(|Q<around*|(|f|)>|)>\<gtr\>2*\<sigma\>>
          </enumerate>
        </named-specified-algorithm>
      </cell>>>>>

      <space|4em><math|<with|math-display|true|I<rsub|Q><rsup|j>*S<rsub|Q><rsup|k>*P=U<rsub|0>*Q+\<cdots\>+U<rsub|r>*\<delta\><rsup|r>
      Q<label|rr2>>><space|4.5em><tabular|<tformat|<twith|table-valign|T>|<cwith|2|-1|1|1|cell-lsep|1tab>|<table|<row|<cell|<math|\<exists\><math-ignore|!><space|0.6spc>\<varepsilon\>\<in\>\<bbb-K\><around*|[|<around*|[|z|]>|]>,<space|1.2spc>v<around*|(|\<varepsilon\>|)>\<gtr\>\<sigma\><space|1.2spc>\<wedge\><space|1.2spc>Q<around*|(|f+\<varepsilon\>|)>=0>>>|<row|<cell|<math|v<around|(|P<rsub|+f+\<varepsilon\>,1>|)>=v<around*|(|P<rsub|+f,1>|)>\<less\>\<sigma\>>>>|<row|<cell|<math|Z<rsub|P<rsub|+f+\<varepsilon\>,1>>=Z<rsub|P<rsub|+f,1>>\<less\>\<sigma\>>>>|<row|<cell|<math|v<around|(|I<rsub|Q><around|(|f+\<varepsilon\>|)>|)>=v<around*|(|I<rsub|Q><around*|(|f|)>|)>\<less\>\<sigma\>>>>|<row|<cell|<math|v<around|(|S<rsub|Q><around|(|f+\<varepsilon\>|)>|)>=v<around*|(|S<rsub|Q><around*|(|f|)>|)>\<less\>\<sigma\>>>>>>>
    </hidden>|<\hidden>
      <tabular|<tformat|<cwith|1|1|1|1|cell-hyphen|t>|<table|<row|<\cell>
        <\named-specified-algorithm|ZeroTest<math|<around*|(|Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>>
          <name|Input>: <math|Q<rsub|1>,\<ldots\>,Q<rsub|n>\<in\>\<bbb-A\><around*|{|F|}>\\<around*|{|0|}>>,
          ordered by non-decreasing Ritt rank

          <name|Output:> <strong|true> if
          <math|Q<rsub|1><around*|(|f|)>=\<cdots\>=Q<rsub|n><around*|(|f|)>=0>
          and <strong|false> otherwise
        <|named-specified-algorithm>
          <\enumerate>
            <item>If <math|Q\<assign\>Q<rsub|1>\<in\>\<bbb-A\>> then return
            <strong|false>

            <item>If <math|<math-bf|ZeroTest><around*|(|I<rsub|Q>|)>> then
            return <math|<math-bf|ZeroTest><around*|(|I<rsub|Q>,Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>

            <item>If <math|<math-bf|ZeroTest><around*|(|S<rsub|Q>|)>> then
            return <math|<math-bf|ZeroTest><around*|(|S<rsub|Q>,Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>

            <item>If <math|\<exists\>J\<in\><around*|{|Q<rsub|2>,\<ldots\>,Q<rsub|n>,P|}>,J
            rem Q\<neq\>0> then return <math|<math-bf|ZeroTest><around*|(|J
            rem Q,Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>

            <item>Let <math|\<sigma\>\<assign\>max<around*|(|v<around*|(|P<rsub|+f,1>|)>,Z<rsub|P<rsub|+f,1>>,v<around*|(|I<rsub|Q><around*|(|f|)>|)>,v<around*|(|S<rsub|Q><around*|(|f|)>|)>,v<around*|(|Q<rsub|+f,1>|)>,Z<rsub|Q<rsub|+f,1>>|)>+1>

            <item>Return the result of the test
            <math|v<around*|(|Q<around*|(|f|)>|)>\<gtr\>2*\<sigma\>>
          </enumerate>
        </named-specified-algorithm>
      </cell>>>>>

      <space|4em><tabular|<tformat|<cwith|1|-1|1|1|cell-lsep|0spc>|<cwith|1|-1|1|1|cell-rsep|0spc>|<cwith|2|2|1|1|cell-tsep|2spc>|<twith|table-valign|T>|<cwith|1|1|1|1|cell-tsep|0spc>|<table|<row|<cell|<math|<with|math-display|true|I<rsub|Q><rsup|j>*S<rsub|Q><rsup|k>*P=U<rsub|0>*Q+\<cdots\>+U<rsub|r>*\<delta\><rsup|r>
      Q<label|rr2>>>>>|<row|<cell|<space|1em><draw-over|<math|P<around*|(|f+\<varepsilon\>|)>=0>|<with|gr-color|red|gr-mode|<tuple|edit|spline>|gr-arrow-end|\<gtr\>|<graphics|<with|color|red|<spline|<point|4.81884|-0.553769>|<point|4.70820205747707|-0.616990722205783>|<point|4.77142334940556|-0.877778551410817>|<point|4.66868875002176|-0.94099984333931>|<point|4.75561802642344|-0.988415812285679>|<point|4.70029939598601|-1.21759299552647>|<point|4.80303399536981|-1.26500896447284>>>|<with|color|red|arrow-end|\<gtr\>|<spline|<point|4.47112|-0.925195>|<point|2.0608191613431|-0.182344340197392>|<point|0.922827203257408|0.0152221970791301>>>|<with|color|red|arrow-end|\<gtr\>|<spline|<point|0.085153788577695|0.41035527163223>|<point|0.0693484655955717|0.173275426900381>>>>>|1pag>>>>>><space|0.2spc><space|4.5em><tabular|<tformat|<twith|table-valign|T>|<cwith|2|-1|1|1|cell-lsep|1tab>|<table|<row|<cell|<math|\<exists\><math-ignore|!><space|0.6spc>\<varepsilon\>\<in\>\<bbb-K\><around*|[|<around*|[|z|]>|]>,<space|1.2spc>v<around*|(|\<varepsilon\>|)>\<gtr\>\<sigma\><space|1.2spc>\<wedge\><space|1.2spc>Q<around*|(|f+\<varepsilon\>|)>=0>>>|<row|<cell|<math|v<around|(|P<rsub|+f+\<varepsilon\>,1>|)>=v<around*|(|P<rsub|+f,1>|)>\<less\>\<sigma\>>>>|<row|<cell|<math|Z<rsub|P<rsub|+f+\<varepsilon\>,1>>=Z<rsub|P<rsub|+f,1>>\<less\>\<sigma\>>>>|<row|<cell|<math|v<around|(|I<rsub|Q><around|(|f+\<varepsilon\>|)>|)>=v<around*|(|I<rsub|Q><around*|(|f|)>|)>\<less\>\<sigma\>>>>|<row|<cell|<math|v<around|(|S<rsub|Q><around|(|f+\<varepsilon\>|)>|)>=v<around*|(|S<rsub|Q><around*|(|f|)>|)>\<less\>\<sigma\>>>>>>>
    </hidden>|<\hidden>
      <tabular|<tformat|<cwith|1|1|1|1|cell-hyphen|t>|<table|<row|<\cell>
        <\named-specified-algorithm|ZeroTest<math|<around*|(|Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>>
          <name|Input>: <math|Q<rsub|1>,\<ldots\>,Q<rsub|n>\<in\>\<bbb-A\><around*|{|F|}>\\<around*|{|0|}>>,
          ordered by non-decreasing Ritt rank

          <name|Output:> <strong|true> if
          <math|Q<rsub|1><around*|(|f|)>=\<cdots\>=Q<rsub|n><around*|(|f|)>=0>
          and <strong|false> otherwise
        <|named-specified-algorithm>
          <\enumerate>
            <item>If <math|Q\<assign\>Q<rsub|1>\<in\>\<bbb-A\>> then return
            <strong|false>

            <item>If <math|<math-bf|ZeroTest><around*|(|I<rsub|Q>|)>> then
            return <math|<math-bf|ZeroTest><around*|(|I<rsub|Q>,Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>

            <item>If <math|<math-bf|ZeroTest><around*|(|S<rsub|Q>|)>> then
            return <math|<math-bf|ZeroTest><around*|(|S<rsub|Q>,Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>

            <item>If <math|\<exists\>J\<in\><around*|{|Q<rsub|2>,\<ldots\>,Q<rsub|n>,P|}>,J
            rem Q\<neq\>0> then return <math|<math-bf|ZeroTest><around*|(|J
            rem Q,Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>

            <item>Let <math|\<sigma\>\<assign\>max<around*|(|v<around*|(|P<rsub|+f,1>|)>,Z<rsub|P<rsub|+f,1>>,v<around*|(|I<rsub|Q><around*|(|f|)>|)>,v<around*|(|S<rsub|Q><around*|(|f|)>|)>,v<around*|(|Q<rsub|+f,1>|)>,Z<rsub|Q<rsub|+f,1>>|)>+1>

            <item>Return the result of the test
            <math|v<around*|(|Q<around*|(|f|)>|)>\<gtr\>2*\<sigma\>>
          </enumerate>
        </named-specified-algorithm>
      </cell>>>>>

      <space|4em><tabular|<tformat|<cwith|1|-1|1|1|cell-lsep|0spc>|<cwith|1|-1|1|1|cell-rsep|0spc>|<cwith|2|2|1|1|cell-tsep|2spc>|<twith|table-valign|T>|<cwith|1|1|1|1|cell-tsep|0spc>|<table|<row|<cell|<math|<with|math-display|true|I<rsub|Q><rsup|j>*S<rsub|Q><rsup|k>*P=U<rsub|0>*Q+\<cdots\>+U<rsub|r>*\<delta\><rsup|r>
      Q<label|rr2>>>>>|<row|<cell|<space|1em><math|P<around*|(|f+\<varepsilon\>|)>=0>>>|<row|<cell|<space|1em><draw-over|<math|\<varepsilon\>=0>|<with|gr-grid|<tuple|empty>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|11|none>>|gr-edit-grid|<tuple|empty>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-color|red|gr-grid-aspect|<tuple|<tuple|axes|#808080>|<tuple|1|#c0c0c0>|<tuple|11|#e0e0ff>>|gr-grid-aspect-props|<tuple|<tuple|axes|#808080>|<tuple|1|#c0c0c0>|<tuple|11|#e0e0ff>>|gr-frame|<tuple|scale|1.9cm|<tuple|0.499999gw|0.499999gh>>|gr-mode|<tuple|edit|spline>|gr-arrow-end|\<gtr\>|<graphics|<with|color|red|<line|<point|-0.181818|2.36364>|<point|-0.181818181818181|1.90909090909091>|<point|3.18181818181818|1.90909090909091>|<point|3.18181818181818|2.36363636363636>|<point|-0.181818181818181|2.36363636363636>>>|<with|color|red|<line|<point|-0.363636|0.636364>|<point|-0.363636363636364|0.181818181818182>|<point|1.36363636363636|0.181818181818182>|<point|1.36363636363636|0.636363636363636>|<point|-0.363636363636364|0.636363636363636>>>|<with|color|red|arrow-end|\<gtr\>|<spline|<point|-0.363636363636364|0.454545454545454>|<point|-0.636363636363636|0.363636363636364>|<point|-0.636363636363636|0.0909090909090909>|<point|-0.363636363636364|0.0>>>|<with|color|red|arrow-end|\<gtr\>|<spline|<point|1.81818|1.90909>|<point|1.81818181818182|0.0909090909090909>|<point|0.363636363636364|-0.0909090909090909>>>>>|1pag>>>>>><space|0.2spc><space|4.5em><tabular|<tformat|<twith|table-valign|T>|<cwith|2|-1|1|1|cell-lsep|1tab>|<table|<row|<cell|<math|\<exists\><math-ignore|!><space|0.6spc>\<varepsilon\>\<in\>\<bbb-K\><around*|[|<around*|[|z|]>|]>,<space|1.2spc>v<around*|(|\<varepsilon\>|)>\<gtr\>\<sigma\><space|1.2spc>\<wedge\><space|1.2spc>Q<around*|(|f+\<varepsilon\>|)>=0>>>|<row|<cell|<math|v<around|(|P<rsub|+f+\<varepsilon\>,1>|)>=v<around*|(|P<rsub|+f,1>|)>\<less\>\<sigma\>>>>|<row|<cell|<math|Z<rsub|P<rsub|+f+\<varepsilon\>,1>>=Z<rsub|P<rsub|+f,1>>\<less\>\<sigma\>>>>|<row|<cell|<math|v<around|(|I<rsub|Q><around|(|f+\<varepsilon\>|)>|)>=v<around*|(|I<rsub|Q><around*|(|f|)>|)>\<less\>\<sigma\>>>>|<row|<cell|<math|v<around|(|S<rsub|Q><around|(|f+\<varepsilon\>|)>|)>=v<around*|(|S<rsub|Q><around*|(|f|)>|)>\<less\>\<sigma\>>>>>>>
    </hidden>|<\hidden>
      <tabular|<tformat|<cwith|1|1|1|1|cell-hyphen|t>|<table|<row|<\cell>
        <\named-specified-algorithm|ZeroTest<math|<around*|(|Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>>
          <name|Input>: <math|Q<rsub|1>,\<ldots\>,Q<rsub|n>\<in\>\<bbb-A\><around*|{|F|}>\\<around*|{|0|}>>,
          ordered by non-decreasing Ritt rank

          <name|Output:> <strong|true> if
          <math|Q<rsub|1><around*|(|f|)>=\<cdots\>=Q<rsub|n><around*|(|f|)>=0>
          and <strong|false> otherwise
        <|named-specified-algorithm>
          <\enumerate>
            <item>If <math|Q\<assign\>Q<rsub|1>\<in\>\<bbb-A\>> then return
            <strong|false>

            <item>If <math|<math-bf|ZeroTest><around*|(|I<rsub|Q>|)>> then
            return <math|<math-bf|ZeroTest><around*|(|I<rsub|Q>,Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>

            <item>If <math|<math-bf|ZeroTest><around*|(|S<rsub|Q>|)>> then
            return <math|<math-bf|ZeroTest><around*|(|S<rsub|Q>,Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>

            <item>If <math|\<exists\>J\<in\><around*|{|Q<rsub|2>,\<ldots\>,Q<rsub|n>,P|}>,J
            rem Q\<neq\>0> then return <math|<math-bf|ZeroTest><around*|(|J
            rem Q,Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>

            <item>Let <math|\<sigma\>\<assign\>max<around*|(|v<around*|(|P<rsub|+f,1>|)>,Z<rsub|P<rsub|+f,1>>,v<around*|(|I<rsub|Q><around*|(|f|)>|)>,v<around*|(|S<rsub|Q><around*|(|f|)>|)>,v<around*|(|Q<rsub|+f,1>|)>,Z<rsub|Q<rsub|+f,1>>|)>+1>

            <item>Return the result of the test
            <math|v<around*|(|Q<around*|(|f|)>|)>\<gtr\>2*\<sigma\>>
          </enumerate>
        </named-specified-algorithm>
      </cell>>>>>

      <space|4em><tabular|<tformat|<cwith|1|-1|1|1|cell-lsep|0spc>|<cwith|1|-1|1|1|cell-rsep|0spc>|<cwith|2|2|1|1|cell-tsep|2spc>|<twith|table-valign|T>|<cwith|1|1|1|1|cell-tsep|0spc>|<cwith|4|4|1|1|cell-tsep|2spc>|<table|<row|<cell|<math|<with|math-display|true|<draw-over|I<rsub|Q><rsup|j>*S<rsub|Q><rsup|k>*P=U<rsub|0>*Q+\<cdots\>+U<rsub|r>*\<delta\><rsup|r>
      Q|<with|gr-grid|<tuple|empty>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|10|none>>|gr-edit-grid|<tuple|empty>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-color|red|gr-mode|<tuple|edit|spline>|gr-arrow-end|\<gtr\>|<graphics|<with|color|red|<line|<point|7|-0.2>|<point|8.8|-0.2>|<point|8.8|0.2>|<point|7.0|0.2>|<point|7.0|-0.2>>>|<with|color|red|<line|<point|-1.8|-0.8>|<point|-1.8|-1.2>|<point|-1.0|-1.2>|<point|-1.0|-0.8>|<point|-1.8|-0.8>>>|<with|color|red|arrow-end|\<gtr\>|<spline|<point|-1.8|-1>|<point|-1.9724538286132|-1.08954899127922>|<point|-1.98825915159533|-1.42936343539487>|<point|-1.8|-1.5>>>|<with|color|red|arrow-end|\<gtr\>|<spline|<point|7.89797|-0.204451>|<point|7.41590802276802|-0.876177131020557>|<point|2.42932862190813|-1.11325697575241>|<point|-0.320797576981323|-1.47677940434124>>>>>|1pag><label|rr2>>>>>|<row|<cell|<space|1em><math|P<around*|(|f+\<varepsilon\>|)>=0>>>|<row|<cell|<space|1em><math|\<varepsilon\>=0>>>|<row|<cell|<space|1em><math|Q<around*|(|f|)>=0>>>>>><space|0.2spc><space|4.5em><tabular|<tformat|<twith|table-valign|T>|<cwith|2|-1|1|1|cell-lsep|1tab>|<table|<row|<cell|<math|\<exists\><math-ignore|!><space|0.6spc>\<varepsilon\>\<in\>\<bbb-K\><around*|[|<around*|[|z|]>|]>,<space|1.2spc>v<around*|(|\<varepsilon\>|)>\<gtr\>\<sigma\><space|1.2spc>\<wedge\><space|1.2spc>Q<around*|(|f+\<varepsilon\>|)>=0>>>|<row|<cell|<math|v<around|(|P<rsub|+f+\<varepsilon\>,1>|)>=v<around*|(|P<rsub|+f,1>|)>\<less\>\<sigma\>>>>|<row|<cell|<math|Z<rsub|P<rsub|+f+\<varepsilon\>,1>>=Z<rsub|P<rsub|+f,1>>\<less\>\<sigma\>>>>|<row|<cell|<math|v<around|(|I<rsub|Q><around|(|f+\<varepsilon\>|)>|)>=v<around*|(|I<rsub|Q><around*|(|f|)>|)>\<less\>\<sigma\>>>>|<row|<cell|<math|v<around|(|S<rsub|Q><around|(|f+\<varepsilon\>|)>|)>=v<around*|(|S<rsub|Q><around*|(|f|)>|)>\<less\>\<sigma\>>>>>>>
    </hidden>|<\hidden>
      <tabular|<tformat|<cwith|1|1|1|1|cell-hyphen|t>|<table|<row|<\cell>
        <\named-specified-algorithm|ZeroTest<math|<around*|(|Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>>
          <name|Input>: <math|Q<rsub|1>,\<ldots\>,Q<rsub|n>\<in\>\<bbb-A\><around*|{|F|}>\\<around*|{|0|}>>,
          ordered by non-decreasing Ritt rank

          <name|Output:> <strong|true> if
          <math|Q<rsub|1><around*|(|f|)>=\<cdots\>=Q<rsub|n><around*|(|f|)>=0>
          and <strong|false> otherwise
        <|named-specified-algorithm>
          <\enumerate>
            <item>If <math|Q\<assign\>Q<rsub|1>\<in\>\<bbb-A\>> then return
            <strong|false>

            <item>If <math|<math-bf|ZeroTest><around*|(|I<rsub|Q>|)>> then
            return <math|<math-bf|ZeroTest><around*|(|I<rsub|Q>,Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>

            <item>If <math|<math-bf|ZeroTest><around*|(|S<rsub|Q>|)>> then
            return <math|<math-bf|ZeroTest><around*|(|S<rsub|Q>,Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>

            <item>If <math|<draw-over|\<exists\>J\<in\><around*|{|Q<rsub|2>,\<ldots\>,Q<rsub|n>,P|}>,J
            rem Q\<neq\>0|<with|gr-grid|<tuple|empty>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|10|none>>|gr-edit-grid|<tuple|empty>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-color|red|gr-mode|<tuple|edit|spline>|gr-arrow-end|\<gtr\>|<graphics|<with|color|red|<line|<point|-2.1|0.2>|<point|2.1|0.2>|<point|2.1|-0.2>|<point|-2.1|-0.2>|<point|-2.1|0.2>>>|<with|color|red|<spline|<point|-0.9|-2.9>|<point|-0.700000000000001|-2.8>|<point|0.6|-2.7>|<point|2.0|-2.8>|<point|2.2|-2.9>>>|<with|color|red|arrow-end|\<gtr\>|<spline|<point|0.1|-0.2>|<point|0.6|-2.7>>>>>|1pag>>
            then return <math|<math-bf|ZeroTest><around*|(|J rem
            Q,Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>

            <item>Let <math|\<sigma\>\<assign\>max<around*|(|v<around*|(|P<rsub|+f,1>|)>,Z<rsub|P<rsub|+f,1>>,v<around*|(|I<rsub|Q><around*|(|f|)>|)>,v<around*|(|S<rsub|Q><around*|(|f|)>|)>,v<around*|(|Q<rsub|+f,1>|)>,Z<rsub|Q<rsub|+f,1>>|)>+1>

            <item>Return the result of the test
            <math|v<around*|(|Q<around*|(|f|)>|)>\<gtr\>2*\<sigma\>>
          </enumerate>
        </named-specified-algorithm>
      </cell>>>>>

      <space|4em><tabular|<tformat|<cwith|1|-1|1|1|cell-lsep|0spc>|<cwith|1|-1|1|1|cell-rsep|0spc>|<cwith|2|2|1|1|cell-tsep|2spc>|<twith|table-valign|T>|<cwith|1|1|1|1|cell-tsep|0spc>|<cwith|4|4|1|1|cell-tsep|2spc>|<table|<row|<cell|<math|<with|math-display|true|I<rsub|Q><rsup|j>*S<rsub|Q><rsup|k>*P=U<rsub|0>*Q+\<cdots\>+U<rsub|r>*\<delta\><rsup|r>
      Q<label|rr2>>>>>|<row|<cell|<space|1em><math|P<around*|(|f+\<varepsilon\>|)>=0>>>|<row|<cell|<space|1em><math|\<varepsilon\>=0>>>|<row|<cell|<space|1em><math|Q<around*|(|f|)>=Q<rsub|2><around*|(|f|)>=\<cdots\>=Q<rsub|n><around*|(|f|)>=0>>>>>><space|3.8em><tabular|<tformat|<twith|table-valign|T>|<cwith|2|-1|1|1|cell-lsep|1tab>|<table|<row|<cell|<math|\<exists\><math-ignore|!><space|0.6spc>\<varepsilon\>\<in\>\<bbb-K\><around*|[|<around*|[|z|]>|]>,<space|1.2spc>v<around*|(|\<varepsilon\>|)>\<gtr\>\<sigma\><space|1.2spc>\<wedge\><space|1.2spc>Q<around*|(|f+\<varepsilon\>|)>=0>>>|<row|<cell|<math|v<around|(|P<rsub|+f+\<varepsilon\>,1>|)>=v<around*|(|P<rsub|+f,1>|)>\<less\>\<sigma\>>>>|<row|<cell|<math|Z<rsub|P<rsub|+f+\<varepsilon\>,1>>=Z<rsub|P<rsub|+f,1>>\<less\>\<sigma\>>>>|<row|<cell|<math|v<around|(|I<rsub|Q><around|(|f+\<varepsilon\>|)>|)>=v<around*|(|I<rsub|Q><around*|(|f|)>|)>\<less\>\<sigma\>>>>|<row|<cell|<math|v<around|(|S<rsub|Q><around|(|f+\<varepsilon\>|)>|)>=v<around*|(|S<rsub|Q><around*|(|f|)>|)>\<less\>\<sigma\>>>>>>>
    </hidden>>
  </hidden>|<\hidden>
    <tit|Shortcomings>

    \;

    <unroll|<\shown>
      <strong|Pessimistic bound>

      <\equation*>
        \<sigma\>\<assign\>max<around*|(|v<around*|(|P<rsub|+f,1>|)>,Z<rsub|P<rsub|+f,1>>,v<around*|(|I<rsub|Q><around*|(|f|)>|)>,v<around*|(|S<rsub|Q><around*|(|f|)>|)>,v<around*|(|Q<rsub|+f,1>|)>,<with|color|red|Z<rsub|Q<rsub|+f,1>>>|)>+1
      </equation*>
    </shown>|<\hidden*>
      \;

      <strong|Consequence>

      <\compressed>
        Algorithm cannot be applied when elements in <math|\<bbb-K\>> depend
        on parameters

        (Dynamic or directed evaluation)
      </compressed>
    </hidden*>>
  </hidden>|<\hidden>
    \;

    \;

    \;

    \;

    <center|<with|frame-recolor|#fa6|<black-floral1-frame|<larger|<tabular|<tformat|<cwith|1|-1|1|1|cell-halign|r>|<cwith|1|-1|1|-1|cell-lsep|1spc>|<cwith|1|-1|1|-1|cell-rsep|1spc>|<cwith|1|-1|1|-1|cell-bsep|1spc>|<cwith|1|-1|1|-1|cell-tsep|1spc>|<table|<row|<cell|<strong|Part
    V>>|<cell|\V>|<cell|Second algorithm>>>>>>>>>

    \;
  </hidden>|<\hidden>
    <tit|Logarithmic power series>

    <unroll|<\shown>
      <strong|Idea:> allow perturbed solutions <math|f+\<varepsilon\>> in a
      larger space <math|\<bbb-K\><around*|[|log
      z|]><around*|[|<around*|[|z|]>|]>>
    </shown>|<\hidden*>
      <\compressed>
        <\itemize>
          <item>Valuation in <math|z> defined as before

          <item><math|\<delta\>> maps <math|\<bbb-K\><around*|[|log
          z|]>*z<rsup|i>> into itself for all <math|i>
        </itemize>
      </compressed>
    </hidden*>|<\hidden*>
      <vspace*|0.5fn><strong|Strong root separation for <math|P> at <math|f>>

      <\compressed>
        <\compressed>
          Smallest number <math|\<sigma\><rsub|P,f><rsup|\<ast\>>\<in\>\<bbb-N\>\<cup\><around*|{|\<infty\>|}>>
          such that

          <\equation*>
            <around*|\<nobracket\>|\<forall\>\<varepsilon\>\<in\>\<bbb-K\><around*|[|log
            z|]><around*|[|<around*|[|z|]>|]>|\<nobracket\>>,<space|1em><around*|\<nobracket\>|P<around*|(|f+\<varepsilon\>|)>=0|\<nobracket\>>\<wedge\><around*|\<nobracket\>|v<around*|(|\<varepsilon\>|)>\<geqslant\>\<sigma\><rsub|P,f><rsup|\<ast\>>|\<nobracket\>>\<Rightarrow\><around*|\<nobracket\>|\<varepsilon\>=0|\<nobracket\>>
          </equation*>
        </compressed>
      </compressed>
    </hidden*>|<\hidden*>
      <\proposition*>
        <math|f> : D-algebraic over <math|\<bbb-A\>> with annihilator
        <math|P\<in\>\<bbb-A\><around*|{|F|}>\<setminus\>\<bbb-A\>> of
        multiplicity <math|d>. Then

        <\equation*>
          \<sigma\><rsub|P,f><rsup|\<ast\>>\<leqslant\>max<around*|(|v<around*|(|P<rsub|+f,d>|)>,Z<rsub|P<rsub|+f,d>>|)>+1
        </equation*>
      </proposition*>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Existence>

    <\proposition*>
      <\ultra-compact>
        Let <math|P\<in\>\<bbb-A\><around*|{|F|}>\<setminus\>\<bbb-A\>> and
        <math|f\<in\>\<bbb-K\><around*|[|<around*|[|z|]>|]>>. Assume that
        <math|S<rsub|P><around*|(|f|)>\<neq\>0> and
        <math|v<around*|(|P<around*|(|f|)>|)>\<gtr\>2*\<sigma\>>, with

        <\equation*>
          \<sigma\>\<geqslant\>max<around*|(|v<around*|(|P<rsub|+f,1>|)><greyed|,Z<rsub|P<rsub|+f,1>>>|)>+1.
        </equation*>

        Then there exists a root <math|\<varepsilon\>\<in\>\<bbb-K\><around*|[|log
        z|]><around*|[|<around*|[|z|]>|]>> with
        <math|v<around*|(|\<varepsilon\>|)>\<gtr\>\<sigma\>> and
        <math|P<rsub|f><around*|(|\<varepsilon\>|)>=P<around*|(|f+\<varepsilon\>|)>=0>.
      </ultra-compact>
    </proposition*>

    <\lemma*>
      <\compressed>
        Let <math|L=L<rsub|r>*\<delta\><rsup|r>+\<cdots\>+L<rsub|s>*\<delta\><rsup|s>\<in\>\<bbb-K\><around*|[|\<delta\>|]>>
        with <math|L<rsub|r>\<neq\>0> and <math|L<rsub|s>\<neq\>0>. Then
        there exists a unique <rigid|operator>

        <\equation*>
          L<rsup|-1>:\<bbb-K\><around*|[|log
          z|]>\<rightarrow\>\<bbb-K\><around*|[|log z|]>*<around*|(|log
          z|)><rsup|s>
        </equation*>

        with <math|L L<rsup|-1> g=g> for every
        <math|g\<in\>\<bbb-K\><around*|[|log z|]>>.
      </compressed>
    </lemma*>
  </hidden>|<\hidden>
    <tit|Second algorithm>

    <\compressed>
      <math|\<bbb-A\>>: effective power series domain (includes zero-test)

      Let <math|f\<in\>\<bbb-K\><around*|[|<around*|[|z|]>|]><rsup|com>> be a
      single root of <math|P\<in\>\<bbb-A\><around*|{|F|}>\<setminus\>\<bbb-A\>>
    </compressed>

    <\named-specified-algorithm|ZeroTest<math|<rsup|\<ast\>><around*|(|Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>>
      <name|Input>: <math|Q<rsub|1>,\<ldots\>,Q<rsub|n>\<in\>A<around*|{|F|}>\\<around*|{|0|}>>,
      ordered by non-decreasing Ritt rank

      <name|Output:> <strong|true> if <math|Q<rsub|1><around*|(|f|)>=\<cdots\>=Q<rsub|n><around*|(|f|)>=0>
      and <strong|false> otherwise
    <|named-specified-algorithm>
      <with|item-vsep|0.25fn|<\enumerate>
        <item>If <math|Q\<assign\>Q<rsub|1>\<in\>A> then return
        <strong|false>

        <item>If <math|<math-bf|ZeroTest><rsup|\<ast\>><around*|(|I<rsub|Q>|)>>
        then return <math|<math-bf|ZeroTest><rsup|\<ast\>><around*|(|I<rsub|Q>,Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>

        <item>If <math|<math-bf|ZeroTest><rsup|\<ast\>><around*|(|S<rsub|Q>|)>>
        then return <math|<math-bf|ZeroTest><rsup|\<ast\>><around*|(|S<rsub|Q>,Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>

        <item>If <math|\<exists\>J\<in\><around*|{|Q<rsub|2>,\<ldots\>,Q<rsub|n>,P|}>,J
        rem Q\<neq\>0> then return <math|<math-bf|ZeroTest><rsup|\<ast\>><around*|(|J
        rem Q,Q<rsub|1>,\<ldots\>,Q<rsub|n>|)>>

        <item>Let <math|\<sigma\>\<assign\>max<around*|(|v<around*|(|P<rsub|+f,1>|)>,Z<rsub|P<rsub|+f,1>>,v<around*|(|I<rsub|Q><around*|(|f|)>|)>,v<around*|(|S<rsub|Q><around*|(|f|)>|)>,v<around*|(|Q<rsub|+f,1>|)>|)>+1>

        <item>Return the result of the test
        <math|v<around*|(|Q<around*|(|f|)>|)>\<gtr\>2*\<sigma\>>
      </enumerate>>
    </named-specified-algorithm>
  </hidden>|<\hidden>
    <tit|Towers>

    <unroll|<\shown>
      <strong|Single extension>

      <\compressed>
        We have shown that <math|\<bbb-A\><around*|{|f|}>> has an effective
        zero-test

        Consequently, <math|\<bbb-A\><around*|\<langle\>|f|\<rangle\>>> has
        an effective zero-test

        Hence <math|\<bbb-A\><around*|\<langle\>|f|\<rangle\>>\<cap\>\<bbb-K\><around*|[|<around*|[|z|]>|]>>
        is again an effective power series domain
      </compressed>
    </shown>|<\hidden*>
      <\compressed>
        <vspace*|1fn><strong|Multiple extensions>

        <\equation*>
          \<bbb-A\>\<subseteq\>\<bbb-A\><around*|\<langle\>|f<rsub|1>|\<rangle\>>\<cap\>\<bbb-K\><around*|[|<around*|[|z|]>|]>\<subseteq\>\<bbb-A\><around*|\<langle\>|f<rsub|1>,f<rsub|2>|\<rangle\>>\<cap\>\<bbb-K\><around*|[|<around*|[|z|]>|]>\<subseteq\>\<cdots\>\<subseteq\>\<bbb-A\><around*|\<langle\>|f<rsub|1>,\<ldots\>,f<rsub|k>|\<rangle\>>\<cap\>\<bbb-K\><around*|[|<around*|[|z|]>|]>
        </equation*>
      </compressed>
    </hidden*>|<\hidden*>
      <\compressed>
        <vspace*|0.75fn><strong|Variant>

        Direct extension <math|\<bbb-A\>\<subseteq\>\<bbb-A\><around*|\<langle\>|f<rsub|1>,\<ldots\>,f<rsub|k>|\<rangle\>>\<cap\>\<bbb-K\><around*|[|<around*|[|z|]>|]>>
        using multivariate differential polynomials
      </compressed>
    </hidden*>|<\hidden*>
      <\compressed>
        <vspace*|0.5fn><strong|Note>

        Elements of \Pbase\Q <math|\<bbb-A\>> need not be D-algebraic
      </compressed>
    </hidden*>>

    \;
  </hidden>|<\hidden>
    <tit|Generalization>

    \;

    <\compressed>
      <strong|Multivariate power series domain>

      <\itemize>
        <item>Differential subalgebra <math|\<bbb-A\>\<subseteq\>\<bbb-K\><around*|[|<around*|[|z<rsub|1>,\<ldots\>,z<rsub|n>|]>|]>>
        for <math|\<delta\><rsub|1>\<assign\>z<rsub|1>*\<partial\>/\<partial\>
        z<rsub|1>,\<ldots\>,\<delta\><rsub|n>\<assign\>z<rsub|n>*\<partial\>/\<partial\>
        z<rsub|n>>

        <item>For all <math|f\<in\>\<bbb-A\>> and
        <math|g\<in\>\<bbb-A\>\<setminus\><around*|{|0|}>> with
        <math|f/g\<in\>\<bbb-K\><around*|[|<around*|[|z<rsub|1>,\<ldots\>,z<rsub|n>|]>|]>>,
        we have <math|f/g\<in\>\<bbb-A\>>

        <item><math|\<bbb-A\>> closed under the substitutions of
        <math|z<rsub|i>\<assign\>0> for <math|i=1,\<ldots\>,n>
      </itemize>
    </compressed>

    \;

    <strong|D-algebraic series>

    <\itemize>
      <item>D-algebraic series <abbr|w.r.t.> <math|\<delta\><rsub|i>> for
      <math|i=1,\<ldots\>,n>
    </itemize>
  </hidden>|<\hidden>
    <tit|Effective tribes>

    <\theorem*>
      <\compressed>
        The collection <math|\<cal-D\>=<around*|(|\<cal-D\><rsub|n>|)>> of
        D-algebraic series over <math|\<bbb-K\>> for all <math|n> forms an
        effective tribe:

        <\itemize>
          <item>Each <math|\<cal-D\><rsub|n>> forms an effective multivariate
          power series domain

          <item><math|\<cal-D\>> is effectively closed under the implicit
          function theorem and composition

          <item><math|\<cal-D\>> is effectively closed under monomial
          transformations
        </itemize>
      </compressed>
    </theorem*>

    \;

    <\theorem*>
      <\compressed>
        <\itemize>
          <item>The tribe <math|\<cal-D\>> is effectively closed under
          Weierstrass division

          <item>Possible to develop an effective elimination theorem for
          <math|\<cal-D\>>
        </itemize>
      </compressed>
    </theorem*>
  </hidden>|<\hidden>
    <\center>
      <\with|par-par-sep|0.3333fn>
        <\center>
          <really-huge|<strong|<with|color|orange|Thank you !>>>
        </center>
      </with>

      <tabular|<tformat|<cwith|1|3|1|1|cell-halign|c>|<cwith|1|1|1|1|cell-tsep|4spc>|<cwith|1|1|1|1|cell-hyphen|t>|<table|<row|<\cell>
        <with|shadow-dx|0ln|shadow-dy|0ln|shadow-color|white|shadow-blur-radius|0.25ln|<shadow|<image|Download-TeXmacs.png|0.6par|||>>>
      </cell>>|<row|<cell|<strong|><center|>>>|<row|<cell|<with|color|#ffa|<verbatim|http://www.texmacs.org>>>>>>>
    </center>

    \;
  </hidden>>
</body>

<\initial>
  <\collection>
    <associate|eqn-long-above|<macro|0fn>>
    <associate|eqn-long-below|<macro|0fn>>
    <associate|eqn-short-above|<macro|0fn>>
    <associate|eqn-short-below|<macro|0fn>>
    <associate|font-base-size|10>
    <associate|info-flag|none>
    <associate|locus-color|#aaf>
    <associate|magnification|1.9>
    <associate|ornament-corner|50%>
    <associate|ornament-hpadding|1.5spc>
    <associate|ornament-vpadding|1.5spc>
    <associate|page-bot|-5mm>
    <associate|page-height|auto>
    <associate|page-medium|beamer>
    <associate|page-type|8:5>
    <associate|page-width|auto>
    <associate|preamble|false>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|Peps-dom-coeff|<tuple|<with|mode|<quote|math>|\<bullet\>>|?>>
    <associate|eps-rec|<tuple|1|?>>
    <associate|rec-rel|<tuple|1|?>>
    <associate|rr2|<tuple|6|?>>
  </collection>
</references>